
From: Roland Dreier <roland@topspin.com>

Make needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/core/cache.c                |    6 +++---
 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_ib.c        |    2 +-
 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_main.c      |    2 +-
 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_multicast.c |    4 ++--
 4 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/infiniband/core/cache.c~infiniband-make-more-code-static drivers/infiniband/core/cache.c
--- 25/drivers/infiniband/core/cache.c~infiniband-make-more-code-static	Wed Jan 12 16:31:44 2005
+++ 25-akpm/drivers/infiniband/core/cache.c	Wed Jan 12 16:31:44 2005
@@ -252,7 +252,7 @@ static void ib_cache_event(struct ib_eve
 	}
 }
 
-void ib_cache_setup_one(struct ib_device *device)
+static void ib_cache_setup_one(struct ib_device *device)
 {
 	int p;
 
@@ -295,7 +295,7 @@ err:
 	kfree(device->cache.gid_cache);
 }
 
-void ib_cache_cleanup_one(struct ib_device *device)
+static void ib_cache_cleanup_one(struct ib_device *device)
 {
 	int p;
 
@@ -311,7 +311,7 @@ void ib_cache_cleanup_one(struct ib_devi
 	kfree(device->cache.gid_cache);
 }
 
-struct ib_client cache_client = {
+static struct ib_client cache_client = {
 	.name   = "cache",
 	.add    = ib_cache_setup_one,
 	.remove = ib_cache_cleanup_one
diff -puN drivers/infiniband/ulp/ipoib/ipoib_ib.c~infiniband-make-more-code-static drivers/infiniband/ulp/ipoib/ipoib_ib.c
--- 25/drivers/infiniband/ulp/ipoib/ipoib_ib.c~infiniband-make-more-code-static	Wed Jan 12 16:31:44 2005
+++ 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_ib.c	Wed Jan 12 16:31:44 2005
@@ -357,7 +357,7 @@ void ipoib_send(struct net_device *dev, 
 	}
 }
 
-void __ipoib_reap_ah(struct net_device *dev)
+static void __ipoib_reap_ah(struct net_device *dev)
 {
 	struct ipoib_dev_priv *priv = netdev_priv(dev);
 	struct ipoib_ah *ah, *tah;
diff -puN drivers/infiniband/ulp/ipoib/ipoib_main.c~infiniband-make-more-code-static drivers/infiniband/ulp/ipoib/ipoib_main.c
--- 25/drivers/infiniband/ulp/ipoib/ipoib_main.c~infiniband-make-more-code-static	Wed Jan 12 16:31:44 2005
+++ 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_main.c	Wed Jan 12 16:31:44 2005
@@ -606,7 +606,7 @@ out:
 	return NETDEV_TX_OK;
 }
 
-struct net_device_stats *ipoib_get_stats(struct net_device *dev)
+static struct net_device_stats *ipoib_get_stats(struct net_device *dev)
 {
 	struct ipoib_dev_priv *priv = netdev_priv(dev);
 
diff -puN drivers/infiniband/ulp/ipoib/ipoib_multicast.c~infiniband-make-more-code-static drivers/infiniband/ulp/ipoib/ipoib_multicast.c
--- 25/drivers/infiniband/ulp/ipoib/ipoib_multicast.c~infiniband-make-more-code-static	Wed Jan 12 16:31:44 2005
+++ 25-akpm/drivers/infiniband/ulp/ipoib/ipoib_multicast.c	Wed Jan 12 16:31:44 2005
@@ -44,7 +44,7 @@
 #include "ipoib.h"
 
 #ifdef CONFIG_INFINIBAND_IPOIB_DEBUG
-int mcast_debug_level;
+static int mcast_debug_level;
 
 module_param(mcast_debug_level, int, 0644);
 MODULE_PARM_DESC(mcast_debug_level,
@@ -623,7 +623,7 @@ int ipoib_mcast_stop_thread(struct net_d
 	return 0;
 }
 
-int ipoib_mcast_leave(struct net_device *dev, struct ipoib_mcast *mcast)
+static int ipoib_mcast_leave(struct net_device *dev, struct ipoib_mcast *mcast)
 {
 	struct ipoib_dev_priv *priv = netdev_priv(dev);
 	struct ib_sa_mcmember_rec rec = {
_
